@echo off
:start
if not exist weirddm.exe goto deh
if not exist weird.wad goto wad
weirddm -file weird.wad
goto end

:wad
deusf -doom . -sprite -add kev.wad weird.wad
del kev.wad
goto start

:deh
cls
echo Welcome to WeirdDoom!  The first
echo time you run this batch file, it
echo will setup Doom2 v1.666 to its
echo appropriate WeirdDoom state...
echo I am a bit new with Dehacked and
echo DOOM2.EXE.  What this batch does
echo is þ COPY DOOM2.EXE DOOM.EXE
echo    þ DEHACKED -LOAD WEIRD.DEH
echo    þ REN DOOM.EXE WEIRDDM.EXE
echo If this is not the proper procedure
echo (it worked for me, though), please
echo alter the batch file accordingly.
yesno Cancel this batch file? [Y/N]
if errorlevel == 1 goto end
if not exist doom.exe copy doom2.exe doom.exe
dehacked -load weird.deh
ren doom.exe weirddm.exe
goto start

:end
